petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMFieldView

view a DMField

### Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode DMFieldView(DMField field,PetscViewer viewer)

Collective

### Input Arguments

| field | - DMField
| viewer | - viewer to display field, for example PETSC_VIEWER_STDOUT_WORLD

### See Also

DMFieldCreate()

### Level

advanced

### Location

src/dm/field/interface/dmfield.c

### Implementations

DMFieldView_DA in src/dm/field/impls/da/dmfieldda.c
DMFieldView_DS in src/dm/field/impls/ds/dmfieldds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages